"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

DeviceHandle subclass:#DeviceViewHandle
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Graphics-Support'
!

!DeviceViewHandle class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    This is used as a finalization handle for views - in previous systems,
    a shallowCopy of a view was responsible to destroy the underlying
    devices view. To make the memory requirements smaller and to speed up
    view creation a bit, this lightweight class is used now, which only
    keeps the device handle for finalization.

    [see also:]
        PseudoView

    [author:]
        Claus Gittinger
"
! !

!DeviceViewHandle methodsFor:'finalization'!

disposed
    "the view for which I am a handle was collected 
     - release system resources"

    drawableId notNil ifTrue:[
	gcId notNil ifTrue:[
	    device destroyGC:gcId.
	    gcId := nil.
	].
	device destroyView:self withId:drawableId.
	drawableId := nil.
    ].


! !

!DeviceViewHandle class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview/Attic/DevViewH.st,v 1.7 1996-04-25 16:25:05 cg Exp $'
! !
